/*Layout for post list*/

#post_list {
  padding: 0 10px 40px 10px;
  border: 1px solid #bdbdbd;
  min-height: 400px;
  flex-grow: 1;
  position: relative;
}

/*Loading of the post list*/
#post_list .list_loading_wrapper {
  position: absolute;
  top: 40px;
  display: flex;
  display: -webkit-flex;
  justify-content: center;
  width: calc(100% - 10px);
  height: calc(100% - 40px);
  padding-top: 100px;
  background-color: #fff;
}

#post_list .list_loading {
  width: 120px;
  height: 30px;
  line-height: 30px;
  padding: 0 10px;
  border-radius: 10px;
  background-color: #ef5350;
  color: #fff;
  cursor: default;
}

/*Paginator of the post list*/

#post_list .pagination {
  position: absolute;
  bottom: 5px;
  display: flex;
  display: -webkit-flex;
  justify-content: center;
  width: calc(100% - 20px);
  margin: 0;
}

/*Top panel of the post list*/

#post_list .top_panel {
  display: flex;
  display: -webkit-flex;
  justify-content: space-between;
  height: 40px;
  line-height: 40px;
}

#post_list .top_panel .tool_panel {
  height: 100%;
  display: flex;
  display: -webkit-flex;
  align-items: center;
}

#post_list .top_panel .tool_panel .order_btn {
  height: 100%;
  margin-left: 10px;
  cursor: pointer;
  color: #9e9e9e;
}

/* Layout for the post item of the post list*/

#post_list .post_list_item {
  min-height: 60px;
}

#post_list .post_list_item:not(:nth-child(2)) {
  border-top: 1px dashed #bdbdbd;
  padding-top: 3px;
}

#post_list .post_list_item:hover {
  background-color: #eeeeee;
}

/*Content row of the post item*/

#post_list .post_list_item .content_row {
  display: flex;
  display: -webkit-flex;
  align-items: center;
  height: 32px;
}

#post_list .post_list_item .content_row .author_img {
  width: 40px;
  height: 30px;
  text-align: center;
}

#post_list .post_list_item .content_row .author_img img {
  width: 30px;
  height: 30px;
}

#post_list .post_list_item .content_row .post_title {
  display: flex;
  display: -webkit-flex;
  align-items: center;
  height: 30px;
  width: calc(100% - 164px);
  line-height: 30px;
}

@media (max-width: 810px) {
  #post_list .post_list_item .content_row .post_title {
    width: calc(100% - 44px);
  }
}

#post_list .post_list_item .content_row .post_title a {
  padding-right: 4px;
  max-width: calc(100% - 32px);
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  font-weight: bold;
  font-size: 16px;
}

#post_list .post_list_item .content_row .post_title span.post_label {
  display: flex;
  display: -webkit-flex;
  align-items: center;
  justify-content: center;
  width: 24px;
  height: 24px;
  padding: 0;
  margin-left: 5px;
  color: #fff;
  font-size: 12px;
  overflow: hidden;
  border-radius: 50%;
}

#post_list .post_list_item .content_row .post_title span.post_label.popular {
  background-color: #ef5350;
}

#post_list .post_list_item .content_row .post_title span.post_label.qualified {
  background-color: #ff9800;
}

#post_list .post_list_item .content_row .post_title span.post_label.top {
  background-color: #474a4f;
}

#post_list .post_list_item .content_row .post_title span.post_tag {
  flex-shrink: 0;
  display: block;
  height: 18px;
  line-height: 18px;
  margin-right: 5px;
  padding: 0 3px;
  background-color: #bbbfc4;
  border-radius: 2px;
  font-size: 12px;
  color: #fff;
}

#post_list .post_list_item .content_row .post_statistic {
  display: flex;
  display: -webkit-flex;
  align-items: center;
  width: 125px;
  color: #666;
}

@media (max-width: 810px) {
  #post_list .post_list_item .content_row .post_statistic {
    display: none !important;
  }
}

#post_list .post_list_item .content_row .post_statistic .post_stat {
  display: flex;
  display: -webkit-flex;
  align-items: center;
  width: 60px;
  height: 30px;
}


/*Info row of the post item*/

#post_list .post_list_item .info_row {
  display: flex;
  display: -webkit-flex;
  align-items: center;
  height: 25px;
  padding-bottom: 5px;
}

#post_list .post_list_item .info_row .post_type_wrapper {
  display: flex;
  display: -webkit-flex;
  align-items: center;
  width: 36px;
  height: 25px;
  margin-right: 4px;
}

#post_list .post_list_item .info_row .post_type_wrapper .post_type {
  height: 18px;
  padding: 0 3px;
  background-color: #bbbfc4;
  border-radius: 2px;
  font-size: 12px;
  color: #fff;
}

#post_list .post_list_item .info_row .post_extra_info {
  display: flex;
  display: -webkit-flex;
  align-items: center;
  height: 25px;
}

#post_list .post_list_item .info_row .post_extra_info .post_info_author {
  width: 130px;
  height: 25px;
  margin-right: 5px;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

#post_list .post_list_item .info_row .post_extra_info .post_info_last_reply {
  height: 25px;
}

@media (max-width: 1000px) {
  #post_list .post_list_item .info_row .post_extra_info .post_info_last_reply {
    display: none !important;
  }
}

#post_list .post_list_item .info_row .post_extra_info .post_info_publish {
  height: 25px;
  margin-right: 10px;
}